---
type: api
title: Get the latest output health
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-outputs-outputid-health
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-outputs-outputid-health
products:
  - Kibana
---

# Get the latest output health

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/outputs/{outputId}/health`
- `GET` `/s/{space_id}/api/fleet/outputs/{outputId}/health`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `outputId` (string)
  The ID of the output

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the latest health status of an output by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read.

## Responses

#### `200`

Successful response

`application/json`

- `message` (string)
  long message if unhealthy
- `state` (string)
  state of output, HEALTHY or DEGRADED
- `timestamp` (string)
  timestamp of reported state
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/outputs/{outputId}/health
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/outputs/{outputId}/health"
```

## Response Examples

#### Get output health

The latest health status of a Fleet output

```json
{
  "message": "",
  "state": "HEALTHY",
  "timestamp": "2024-01-15T10:00:00.000Z"
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

